Bug 154545 - ports/www/w3m version 0.5.3 released
Summary: ports/www/w3m version 0.5.3 released
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: MANTANI Nobutaka
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-02-06 04:30 UTC by arai.toshihiko
Modified: 2011-02-12 00:10 UTC (History)
0 users

See Also:


Attachments
file.diff (2.99 KB, patch)
2011-02-06 04:30 UTC, arai.toshihiko
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description arai.toshihiko 2011-02-06 04:30:07 UTC
w3m new released http://sourceforge.net/projects/w3m/

Fix: remove:
files/patch-file.c

update:
Index: Makefile
Index: distinfo
Index: files/patch-configure


Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2011-02-06 04:30:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->nobutaka

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Sunpoet Po-Chuan Hsieh freebsd_committer 2011-02-08 14:30:18 UTC
Hi, nobutaka

  FYI, regarding the Makefile, I have several suggestions here.
  - W3M_VERSION can be removed by setting PORTVERSION= 0.5.3 directly.
  - DISTNAME should be removed while its value is the default value.
  - Use ?= on PORTREVISION while slave ports may have their own
    PORTREVISION.
  HTH.

Regards,
sunpoet
-- 
   Sunpoet Po-Chuan Hsieh <sunpoet at sunpoet.net> <sunpoet at FreeBSD.org>
           4096R/CC57E36B 8AD8 68F2 7D2B 0A10 7E9B 8CC0 DC44 247E CC57 E36B
	                     http://people.FreeBSD.org/~sunpoet/pgpkeys.txt
Comment 3 dfilter service freebsd_committer 2011-02-11 23:59:23 UTC
nobutaka    2011-02-11 23:59:17 UTC

  FreeBSD ports repository

  Modified files:
    japanese/w3m         Makefile 
    japanese/w3m-img     Makefile 
    www/w3m              Makefile distinfo 
    www/w3m-img          Makefile 
    www/w3m-m17n         Makefile 
    www/w3m-m17n-img     Makefile 
  Removed files:
    www/w3m/files        patch-file.c 
  Log:
  - Update to 0.5.3. [*]
  - Use OPTIONS in www/w3m.
  - Enable SSL support by default.
  
  PR:             ports/154545 [*]
  Submitted by:   ARAI Toshihiko <arai.toshihiko@gmail.com> [*]
  
  Revision  Changes    Path
  1.9       +2 -2      ports/japanese/w3m-img/Makefile
  1.13      +1 -2      ports/japanese/w3m/Makefile
  1.6       +1 -1      ports/www/w3m-img/Makefile
  1.3       +2 -2      ports/www/w3m-m17n-img/Makefile
  1.7       +1 -1      ports/www/w3m-m17n/Makefile
  1.96      +18 -73    ports/www/w3m/Makefile
  1.34      +2 -4      ports/www/w3m/distinfo
  1.5       +0 -12     ports/www/w3m/files/patch-file.c (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 MANTANI Nobutaka freebsd_committer 2011-02-12 00:00:12 UTC
State Changed
From-To: open->closed

Committed with some modifications. Thanks!